# NHCarrigan's Code Repositories

This website holds all of our source code. This particular organisation contains our private game development repositories. Due to licensing restrictions with the engine we use, we cannot open source the games as some of the uncompiled contents are proprietary.

If you are interested in contributing, please apply for access.

## Instance Information

This Gitea instance is specifically for NHCarrigan's use. This means:

- To create an account, you must reach out to us [on our forum](https://forum.nhcarrigan.com) so we can grant you an account.
- Once you have an account, you can report issues on our products
- You can NOT create your own repositories and host them on our instance
- You can NOT create your own organisations

## Contributor Information

We gladly welcome contributions to our products! However, because our instance does not allow users to create and host their own repositories, you'll need access to create branches on our repositories directly.

To obtain this access, please [fill out the form](https://git.nhcarrigan.com/nhcarrigan/.profile/issues/new?template=.gitea%2fissue_template%2fcontributor.yml). Once approved, you'll have access to branch directly on our repositories.

Before you start working on code, make sure you've given our [Contributor Guide](https://docs.nhcarrigan.com/dev/contributing/) a read. Additionally, some things you need to follow:

- Branches should be prefixed with your username, e.g. `naomi/feat/add-readme`
- NEVER push to another contributor's branch without their explicit consent
- You will not have access to push directly to `main` - you should ALWAYS create a pull request for our team to review

## Stay Informed

Make sure you have joined [one of our community platforms](https://chat.nhcarrigan.com)! This is not only a great way to connect with your fellow contributors and stay in the loop on our latest updates, but ensures you can reach us if you have questions or get stuck!
